Bug 825955 - Unable to obtain SAM status after reboot host.
Unable to obtain SAM status after reboot host.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node (Show other bugs)
6.3
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Joey Boggs
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 03:57 EDT by cshao
Modified: 2016-04-26 09:55 EDT (History)
11 users (show)

See Also:
Fixed In Version: ovirt-node-2.5.0-5.el6
Doc Type: Bug Fix
Doc Text:
Previously, SAM security certificates were not stored individually. When a SAM-registered Red Hat Enterprise Virtualization Hypervisor node was rebooted, it would be unable to obtain a SAM status upon reboot. Now, SAM security certificates are stored individually, and SAM-registered Red Hat Enterprise Virtualization Hypervisor nodes can successfully obtain their SAM status after rebooting.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-28 11:34:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhsm.log (251.49 KB, text/plain)
2012-05-29 03:57 EDT, cshao
no flags Details

  None (edit)
Description cshao 2012-05-29 03:57:34 EDT
Created attachment 587332 [details]
rhsm.log

Description of problem:
Unable to obtain SAM status after reboot host.

Version-Release number of selected component (if applicable):
rhev-hypervisor6-6.3-20120523.1.el6

How reproducible:
100%

Steps to Reproduce:
1. Install RHEV-H and configure network.
2. Register to SAM server.
3. Reboot and check SAM status.
  
Actual results:
Unable to obtain SAM status after reboot host.

Expected results:
Can show SAM status after reboot host.

Additional info:
RHN and Satellite status show correctly after reboot.


rhsm.log
===============================
2012-05-29 06:36:26,103 [ERROR]  @subscriptionmanager.py:64 - Unable to obtain status from server, UEPConnection is likely not usable:
2012-05-29 06:36:26,106 [INFO]  @subscriptionmanager.py:75 - Sending list of uuids: []
2012-05-29 06:36:26,108 [ERROR]  @virt-who.py:165 - key values mismatch
Traceback (most recent call last):
  File "/usr/share/virt-who/virt-who.py", line 147, in _send
  File "/usr/share/virt-who/subscriptionmanager.py", line 81, in sendVirtGuests
SubscriptionManagerError: key values mismatch
2012-05-29 06:36:26,108 [ERROR]  @virt-who.py:169 - Error in communication with candlepin, trying to recover
2012-05-29 06:36:26,110 [ERROR]  @subscriptionmanager.py:63 - key values mismatch
Traceback (most recent call last):
  File "/usr/share/virt-who/subscriptionmanager.py", line 60, in connect
  File "/usr/lib/python2.6/site-packages/rhsm/connection.py", line 530, in ping
  File "/usr/lib/python2.6/site-packages/rhsm/connection.py", line 383, in request_get
  File "/usr/lib/python2.6/site-packages/rhsm/connection.py", line 309, in _request
  File "/usr/lib64/python2.6/site-packages/M2Crypto/SSL/Context.py", line 79, in load_cert
SSLError: key values mismatch
Comment 4 RHEL Product and Program Management 2012-07-10 02:33:36 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 RHEL Product and Program Management 2012-07-10 21:50:06 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 6 Joey Boggs 2012-08-10 20:50:06 EDT
http://gerrit.ovirt.org/7094
Comment 12 errata-xmlrpc 2013-02-28 11:34:40 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0556.html

Note You need to log in before you can comment on or make changes to this bug.